#use Debian package

Summary: System Monitoring Center
Name: system-monitoring-center
Version: 1.40.0
Release: %mkrel 2
License: GPL
Group: Monitoring
URL: https://github.com/hakandundar34coding/system-monitoring-center
Source0: io.github.hakandundar34coding.system-monitoring-center.desktop
Source1: Users.py
Source2: UsersDetails.py
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no
Requires: python3
Requires: python3-gobject3
Requires: dmidecode
Requires: hwdata
Requires: iproute2
Requires: python3-cairo
Requires: util-linux-ng

%description
Detailed system performance and usage usage monitoring/managing center.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package system-monitoring-center_%{version}_all.deb

pushd $RPM_SOURCE_DIR
wget -nc https://github.com/hakandundar34coding/system-monitoring-center/releases/download/v%{version}/system-monitoring-center_%{version}_all.deb

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#replace desktop file
install -m 0644 %SOURCE0 %buildroot/%{_datadir}/applications/io.github.hakandundar34coding.system-monitoring-center.desktop
install -m 0644 %SOURCE1 %buildroot/usr/share/system-monitoring-center/src/Users.py
install -m 0644 %SOURCE2 %buildroot/usr/share/system-monitoring-center/src/UsersDetails.py

popd

%clean
rm -rf %buildroot

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}
%{_prefix}/lib/python3

%changelog
* Sat Feb 18 2023 tex - 1.40.0-2pclos2023
- fix users list

* Fri Feb 17 2023 tex - 1.40.0-1pclos2023
- create pkg
